package com.lz.modules.flow.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.lz.modules.flow.dao.FlowChartDetailRecordMapper;
import com.lz.modules.flow.entity.FlowChartDetailRecord;
import com.lz.modules.flow.model.FlowChartDetailRecordDto;
import com.lz.modules.flow.service.FlowChartDetailRecordService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
* <p>
* 考核模板流程记录表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-19
*/

@Service
public class FlowChartDetailRecordServiceImpl extends ServiceImpl<FlowChartDetailRecordMapper, FlowChartDetailRecord> implements FlowChartDetailRecordService {


    @Autowired
	private FlowChartDetailRecordMapper flowChartDetailRecordMapper;



	@Override
	public FlowChartDetailRecord selectFlowChartDetailRecordById(Long id){
		return flowChartDetailRecordMapper.selectFlowChartDetailRecordById(id);
	}



	@Override
	public Long insertFlowChartDetailRecord(FlowChartDetailRecord flowChartDetailRecord){
		return flowChartDetailRecordMapper.insertFlowChartDetailRecord(flowChartDetailRecord);
	}



	@Override
	public int updateFlowChartDetailRecordById(FlowChartDetailRecord flowChartDetailRecord){
		return flowChartDetailRecordMapper.updateFlowChartDetailRecordById(flowChartDetailRecord);
	}



	@Override
	public int updateCoverFlowChartDetailRecordById(FlowChartDetailRecord flowChartDetailRecord){
		return flowChartDetailRecordMapper.updateCoverFlowChartDetailRecordById(flowChartDetailRecord);
	}



	@Override
	public int deleteFlowChartDetailRecordById(Long id){
		return flowChartDetailRecordMapper.deleteFlowChartDetailRecordById(id);
	}

	@Override
	public List<FlowChartDetailRecord> selectFlowChartDetailRecordByGroupIdAndChartId(Long groupId, Long chartId){
		return flowChartDetailRecordMapper.selectFlowChartDetailRecordByGroupIdAndChartId(groupId, chartId);
	}

	@Override
	public List<FlowChartDetailRecord> selectFlowChartDetailRecordByGroupId(Long groupId){
		return flowChartDetailRecordMapper.selectFlowChartDetailRecordByGroupId(groupId);
	}

	@Override
	public int insertFlowChartDetailRecords(List<FlowChartDetailRecord> inserts){
		return flowChartDetailRecordMapper.insertFlowChartDetailRecords(inserts);
	}

	@Override
	public int updateCoverFlowChartDetailRecordByIds(List<FlowChartDetailRecord> updaes){
		return flowChartDetailRecordMapper.updateCoverFlowChartDetailRecordByIds(updaes);
	}

	@Override
	public List<FlowChartDetailRecord> selectFlowChartDetailRecordsByFlowProcess(Long groupId, int flowProcess){
		return flowChartDetailRecordMapper.selectFlowChartDetailRecordsByFlowProcess(groupId, flowProcess);
	}

	@Override
	public List<FlowChartDetailRecord> selectOpenFlowChartDetailRecordByGroupIdAndChartId(Long groupId, Long chartId){
		return flowChartDetailRecordMapper.selectOpenFlowChartDetailRecordByGroupIdAndChartId(groupId, chartId);
	}




}
